此内容没有您所选择的语言版本。
Chapter 9. Members
This chapter provides information on API resources to create and manage OpenShift Enterprise members. A member is a developer or a team with access to a domain.
The following table describes each parameter associated with members.
Expand
| Name | Description |
|---|---|
id | Unique identifier of member |
role | Type of role a member is provided |
type | Type of member; for example, user or team |
from | Source of the membership |
owner | Indicates whether the member is owner of the resource |
members | An array of members to add with corresponding type and role; for example, {'members': [{'login': 'foo', 'type': 'user', 'role': 'view'}, {'id': '5326534e2046fde9d3000001', 'type': 'team', 'role': 'none'}]} |
9.1. List Members of a Domain 复制链接链接已复制到粘贴板!
复制链接链接已复制到粘贴板!
Description
Get a list of members that belong to the specified domain.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /broker/rest/domains/:name/members |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/domains/mydomain/members --user user@example.com:password
JSON Response
The API returns a list of all members belonging to the specified domain.
{
"api_version": 1.6,
"data": [
{
"explicit_role": null,
"from": [
{
"type": "owner",
"role": "admin"
}
],
"id": "521bf803656c674541000001",
"name": "user@example.com",
"owner": true,
"role": "admin",
"type": "user"
}
],
"messages": [
{
"exit_code": 0,
"field": null,
"severity": "info",
"text": "Found 1 member."
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "members",
"version": "1.6"
}